﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Adding or Removing Owners for Elasticsearch-based Analytics Controls</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Adding or Removing Owners for Elasticsearch-based Analytics Controls</h1>
        <p>You can add or remove one or more users as owners, for the respective analytic controls from the analytics configuration screen. you can edit the analytics available. You can also assign owner or remove an owner, from an existing analytic from the configurations screen.&#160;Owners can be added by user or user group. Owners added to the analytical control can view the control, perform actions on the control and additionally also view the analytical history of respective control.&#160;</p>
        <p>Additionally, you can also assign access privileges for a particular analytical control using SAV Role. The users part of the respective SAV Role can view the control,&#160;perform actions on the control and additionally also view the analytical history of respective control.</p>
        <h3 id="AddingorRemovingOwnerforElasticsearchBasedAnalyticControls-AddOwner">Adding Owners</h3>
        <p>To add owners for an analytics control, perform the following steps:</p>
        <ol>
            <li>Go to <strong>Analytics &gt; Analytics Configuration List.</strong></li>
            <li>
                <p>Select&#160;the Elastic&#160;tab.</p>
            </li>
            <li>Click the <strong>+Add</strong> inline with analytics name in the <strong>Owner</strong>column. The <strong>Add Owner Type</strong>page appears.</li>
            <li>Select the owner type and click <strong>Next</strong>. The following options are available for selection:&#160;<ul><li><strong>User</strong>- Select this if owner is an individual user.</li><li><strong>User Group</strong>-&#160;Select this option if you want to add a user group. A user group consists of single or multiple users. User group provides a convenient and easy way to assign multiple users as owner for the Analytic Control.</li></ul></li>
            <li>Select the users based on the owner type and click <strong>Submit.</strong></li>
        </ol>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">If you do not select any option in the <strong>Owner Type</strong> drop-down, a validation message is displayed as "Please enter Owner Type", as shown in the following figure.</p>
            <p class="note">
                <img src="../Resources/Images/validation message when the owner is not selected.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
            </p>
            <p>Figure: Validation Message when the Owner Type is not selected</p>
        </div>
        <h3>Removing Owners</h3>
        <p>To remove owners from one or more analytic controls, perform the following steps:</p>
        <ol>
            <li>Go to <strong>Analytics &gt; Analytics Configuration List.</strong></li>
            <li>
                <p>Select&#160;the Elastic&#160;tab.</p>
            </li>
            <li>Click the <strong>Remove</strong> inline with analytics name in the <strong>Owner</strong> column.</li>
        </ol>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">For more information about&#160;adding Elastic search-based analytics controls for SAV roles, see&#160;<a href="../Chapter09-Managing-SAV-Roles/Understanding-the-SAV-Role-Parameters.htm">Understanding the SAV Role Parameters</a>.</p>
        </div>
        <br />
        <p>&#160;</p>
    </body>
</html>